Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 12-30-02, 05:48 AM   #1
AndrewBond
Registered User
 
Join Date: Dec 2002
Posts: 3
Default I am having problems

Hello,

I've been around linux for quite some time, and I finally decided to completely switch over to RedHat 8.0. I have completely updated the software using up2date, including the kernel.

I downloaded the 3 iso's and checked the disks. The installation was successful. I am able to login with the text mode, and then if i wish i am able to "startx".

I have a GeForce 3 Ti 200. I have read many posts, and many other websites on how to install the driver. I have tried just installing the basic RPM's, the src RPM's, and with the tar files by compiling it. I have uninstalled what has been done between each attempt. When installing the RPM's either by rebuilding the source or using prebuilt RPM's i get this error:

rpm -ivh NVIDIA_kernel-1.0-2960.rh73up.i686.rpm
Preparing... ########################################### [100%]
1:NVIDIA_kernel ########################################### [100%]
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/NVdriver: The module you are trying to load (/lib/modules/2.4.18-19.8.0/kernel/drivers/video/NVdriver) is compiled with a gcc
version 2 compiler, while the kernel you are running is compiled with
a gcc version 3 compiler. This is known to not work.
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/NVdriver: insmod /lib/modules/2.4.18-19.8.0/kernel/drivers/video/NVdriver failed
/lib/modules/2.4.18-19.8.0/kernel/drivers/video/NVdriver: insmod NVdriver failed
NVdriver installed successfully

With this method it doesn't seem to create the driver so that i can use insmod or modprobe to load it.


However, I tried using the make method and get a similar error about the gcc compiler. Yes I did install the kernel development tools. It tells me that the kernel was compiled with gcc version 3 and that the module was being compiled with version 2. With this error, i decided to update the gcc to version 3. I download the gcc rpm version 3.2-7, but it said i already had it installed in my system.

I would greatly appreciate it if someone could point me in the right direction.

Sincerely,
Andrew Bond
andrew@daysite.net
AndrewBond is offline   Reply With Quote
Old 12-30-02, 06:17 PM   #2
etr
Registered User
 
Join Date: Aug 2002
Location: NC, US
Posts: 55
Default

You actually have the reverse problem--nVidia didn't update its compiler when it built its drivers, so it won't work with your kernel, which was built with a later compiler. I presume you are attempting to use one of the binary packages. Instead, I would recommend that you use the source RPM or the tarballs. Once you do this, you can compile the drivers on your own system to ensure that a compatible compiler is used.

To use the source RPM's or the tarball, you will need to install the kernel headers (and possibly also the kernel source--though I think that you can get by with just the headers).

Good luck!
etr is offline   Reply With Quote
Old 12-30-02, 07:18 PM   #3
AndrewBond
Registered User
 
Join Date: Dec 2002
Posts: 3
Default Problem

Hi,

I have tried downloading the src rpm files for both the kernel and the glx. It still refuses to run
i just get a black screen.



Thanks alot,

Andrew Bond
andrew@daysite.net
AndrewBond is offline   Reply With Quote
Old 12-31-02, 06:07 AM   #4
Karzak
Registered User
 
Join Date: Dec 2002
Posts: 4
Default err

why are you trying to use driver version 2960?
grab 4191 binaries/source .. the gcc problem is gone with those.

also, if downloading binary, be careful to download the exact one for your kernel. ie, if you have not upgraded kernel, you need 4191-rh80up-i686. Or, for example, if you have an athlon, you need 4191-rh80up-athlon (because rh8.0 automatically installed a different kernel on athlon). If you're not sure, just grab the 4191 source and recompile.

Last edited by Karzak; 12-31-02 at 06:10 AM.
Karzak is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
problems with drivers after 295.40 (OpenSuSE 12.1, GeFroce 7900 GS, Phenom II X4) alawa NVIDIA Linux 0 06-09-12 06:37 PM
Nvidia Problems in Slackware 8.1 xtreme NVIDIA Linux 3 10-01-02 12:03 PM
Leadtek Nforce problems druga runda CPUs, Motherboards And Memory 4 09-18-02 08:26 AM
resolution problems the fat bastid NVIDIA Linux 4 09-15-02 09:40 PM
DirectX 8 problems with GeForce4 Derwin NVIDIA GeForce 7, 8, And 9 Series 19 08-20-02 01:23 AM

All times are GMT -5. The time now is 02:56 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.